#include <TimerOne.h>
#include <Wire.h>
#include <VL53L0X.h>

VL53L0X sensor;

int GPIO = 12;
float distance;

void setup() {
  Serial.begin (115200);
  Wire.begin();

  pinMode (GPIO, INPUT);
  sensor.init();
  sensor.setTimeout(500);
  sensor.startContinuous(100);

  long int Tvz = 1; //in sec
  Timer1.initialize(1000000*Tvz);
  Timer1.attachInterrupt(Lidar);
  
}

void loop() 
{
  //Lidar();
}

void Lidar(){
  Serial.print("HERE ");
     if(digitalRead(12)==LOW)
      {
         distance = sensor.readReg16Bit(sensor.RESULT_RANGE_STATUS +10);
          sensor.writeReg(sensor.SYSTEM_INTERRUPT_CLEAR, 0x01);
          Serial.println(distance);
      }
}





